<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.jljc.mapper.ReduceEmissionMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.jljc.entity.ReduceEmission">
        <result column="id" property="id" />
        <result column="enterprise_code" property="enterpriseCode" />
        <result column="trade_name" property="tradeName" />
        <result column="region_name" property="regionName" />
        <result column="project_name" property="projectName" />
        <result column="project_explain" property="projectExplain" />
        <result column="project_file_url" property="projectFileUrl" />
        <result column="project_source" property="projectSource" />
        <result column="leader" property="leader" />
        <result column="mobile" property="mobile" />
        <result column="start_date" property="startDate" />
        <result column="end_date" property="endDate" />
        <result column="energy_consume_type" property="energyConsumeType" />
        <result column="total" property="total" />
        <result column="energy_consume" property="energyConsume" />
        <result column="strength" property="strength" />
        <result column="carbon_emission" property="carbonEmission" />
        <result column="real_total" property="realTotal" />
        <result column="real_strength" property="realStrength" />
        <result column="real_energy_consume" property="realEnergyConsume" />
        <result column="real_carbon_emission" property="realCarbonEmission" />
        <result column="recommend_status" property="recommendStatus" />
        <result column="auditor_id" property="auditorId" />
        <result column="audit_remark" property="auditRemark" />
        <result column="audit_date" property="auditDate" />
        <result column="audit_grade" property="auditGrade" />
        <result column="userid" property="userid"/>
        <result column="update_time" property="updateTime"/>
        <result column="del_flag" property="delFlag"/>
        <result column="dept_id" property="deptId"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, enterprise_code, trade_name, region_name, project_name, project_explain, project_file_url, project_source, leader, mobile,
        start_date, end_date, energy_consume_type, total, energy_consume, strength, carbon_emission, real_total, real_strength, real_energy_consume,
        real_carbon_emission, recommend_status, auditor_id, audit_remark, audit_date, audit_grade, userid, update_time, del_flag, dept_id
    </sql>

</mapper>
